pragma Ada_95;
with System;
package ada_main is
   pragma Warnings (Off);

   gnat_argc : Integer;
   gnat_argv : System.Address;
   gnat_envp : System.Address;

   pragma Import (C, gnat_argc);
   pragma Import (C, gnat_argv);
   pragma Import (C, gnat_envp);

   gnat_exit_status : Integer;
   pragma Import (C, gnat_exit_status);

   GNAT_Version : constant String :=
                    "GNAT Version: 4.7.0 20120112 (Red Hat 4.7.0-0.6)" & ASCII.NUL;
   pragma Export (C, GNAT_Version, "__gnat_version");

   Ada_Main_Program_Name : constant String := "_ada_gate" & ASCII.NUL;
   pragma Export (C, Ada_Main_Program_Name, "__gnat_ada_main_program_name");

   procedure adainit;
   pragma Export (C, adainit, "adainit");

   procedure adafinal;
   pragma Export (C, adafinal, "adafinal");

   function main
     (argc : Integer;
      argv : System.Address;
      envp : System.Address)
      return Integer;
   pragma Export (C, main, "main");

   type Version_32 is mod 2 ** 32;
   u00001 : constant Version_32 := 16#fe069b22#;
   pragma Export (C, u00001, "gateB");
   u00002 : constant Version_32 := 16#bebd3d3f#;
   pragma Export (C, u00002, "system__standard_libraryB");
   u00003 : constant Version_32 := 16#7cc1b3c8#;
   pragma Export (C, u00003, "system__standard_libraryS");
   u00004 : constant Version_32 := 16#3ffc8e18#;
   pragma Export (C, u00004, "adaS");
   u00005 : constant Version_32 := 16#b5e303bb#;
   pragma Export (C, u00005, "ada__command_lineB");
   u00006 : constant Version_32 := 16#df5044bd#;
   pragma Export (C, u00006, "ada__command_lineS");
   u00007 : constant Version_32 := 16#72a1f35b#;
   pragma Export (C, u00007, "systemS");
   u00008 : constant Version_32 := 16#90ffdd42#;
   pragma Export (C, u00008, "system__secondary_stackB");
   u00009 : constant Version_32 := 16#66cfd4f5#;
   pragma Export (C, u00009, "system__secondary_stackS");
   u00010 : constant Version_32 := 16#27940d94#;
   pragma Export (C, u00010, "system__parametersB");
   u00011 : constant Version_32 := 16#c443ff9b#;
   pragma Export (C, u00011, "system__parametersS");
   u00012 : constant Version_32 := 16#8c5e58a5#;
   pragma Export (C, u00012, "system__soft_linksB");
   u00013 : constant Version_32 := 16#aed143ad#;
   pragma Export (C, u00013, "system__soft_linksS");
   u00014 : constant Version_32 := 16#955a695d#;
   pragma Export (C, u00014, "ada__exceptionsB");
   u00015 : constant Version_32 := 16#784ab406#;
   pragma Export (C, u00015, "ada__exceptionsS");
   u00016 : constant Version_32 := 16#919fb168#;
   pragma Export (C, u00016, "ada__exceptions__last_chance_handlerB");
   u00017 : constant Version_32 := 16#29e1b15a#;
   pragma Export (C, u00017, "ada__exceptions__last_chance_handlerS");
   u00018 : constant Version_32 := 16#fc178b81#;
   pragma Export (C, u00018, "system__exception_tableB");
   u00019 : constant Version_32 := 16#e3cf2ffe#;
   pragma Export (C, u00019, "system__exception_tableS");
   u00020 : constant Version_32 := 16#84debe5c#;
   pragma Export (C, u00020, "system__htableB");
   u00021 : constant Version_32 := 16#f109bd55#;
   pragma Export (C, u00021, "system__htableS");
   u00022 : constant Version_32 := 16#8b7dad61#;
   pragma Export (C, u00022, "system__string_hashB");
   u00023 : constant Version_32 := 16#543d2bcf#;
   pragma Export (C, u00023, "system__string_hashS");
   u00024 : constant Version_32 := 16#aad75561#;
   pragma Export (C, u00024, "system__exceptionsB");
   u00025 : constant Version_32 := 16#7e5f3bec#;
   pragma Export (C, u00025, "system__exceptionsS");
   u00026 : constant Version_32 := 16#010db1dc#;
   pragma Export (C, u00026, "system__exceptions_debugB");
   u00027 : constant Version_32 := 16#4ad1d68f#;
   pragma Export (C, u00027, "system__exceptions_debugS");
   u00028 : constant Version_32 := 16#b012ff50#;
   pragma Export (C, u00028, "system__img_intB");
   u00029 : constant Version_32 := 16#707a1399#;
   pragma Export (C, u00029, "system__img_intS");
   u00030 : constant Version_32 := 16#ace32e1e#;
   pragma Export (C, u00030, "system__storage_elementsB");
   u00031 : constant Version_32 := 16#886c8ec3#;
   pragma Export (C, u00031, "system__storage_elementsS");
   u00032 : constant Version_32 := 16#dc8e33ed#;
   pragma Export (C, u00032, "system__tracebackB");
   u00033 : constant Version_32 := 16#1326272e#;
   pragma Export (C, u00033, "system__tracebackS");
   u00034 : constant Version_32 := 16#907d882f#;
   pragma Export (C, u00034, "system__wch_conB");
   u00035 : constant Version_32 := 16#cd4add66#;
   pragma Export (C, u00035, "system__wch_conS");
   u00036 : constant Version_32 := 16#22fed88a#;
   pragma Export (C, u00036, "system__wch_stwB");
   u00037 : constant Version_32 := 16#e05bf167#;
   pragma Export (C, u00037, "system__wch_stwS");
   u00038 : constant Version_32 := 16#b8a9e30d#;
   pragma Export (C, u00038, "system__wch_cnvB");
   u00039 : constant Version_32 := 16#d3b45bb0#;
   pragma Export (C, u00039, "system__wch_cnvS");
   u00040 : constant Version_32 := 16#129923ea#;
   pragma Export (C, u00040, "interfacesS");
   u00041 : constant Version_32 := 16#75729fba#;
   pragma Export (C, u00041, "system__wch_jisB");
   u00042 : constant Version_32 := 16#87c6c0a4#;
   pragma Export (C, u00042, "system__wch_jisS");
   u00043 : constant Version_32 := 16#ada34a87#;
   pragma Export (C, u00043, "system__traceback_entriesB");
   u00044 : constant Version_32 := 16#20801d1a#;
   pragma Export (C, u00044, "system__traceback_entriesS");
   u00045 : constant Version_32 := 16#4f750b3b#;
   pragma Export (C, u00045, "system__stack_checkingB");
   u00046 : constant Version_32 := 16#d1034f77#;
   pragma Export (C, u00046, "system__stack_checkingS");
   u00047 : constant Version_32 := 16#99756144#;
   pragma Export (C, u00047, "ada__tagsB");
   u00048 : constant Version_32 := 16#db95090b#;
   pragma Export (C, u00048, "ada__tagsS");
   u00049 : constant Version_32 := 16#1840af2d#;
   pragma Export (C, u00049, "system__unsigned_typesS");
   u00050 : constant Version_32 := 16#e6965fe6#;
   pragma Export (C, u00050, "system__val_unsB");
   u00051 : constant Version_32 := 16#08e84216#;
   pragma Export (C, u00051, "system__val_unsS");
   u00052 : constant Version_32 := 16#46a1f7a9#;
   pragma Export (C, u00052, "system__val_utilB");
   u00053 : constant Version_32 := 16#790c6644#;
   pragma Export (C, u00053, "system__val_utilS");
   u00054 : constant Version_32 := 16#b7fa72e7#;
   pragma Export (C, u00054, "system__case_utilB");
   u00055 : constant Version_32 := 16#dfbd93d3#;
   pragma Export (C, u00055, "system__case_utilS");
   u00056 : constant Version_32 := 16#7a8f4ce5#;
   pragma Export (C, u00056, "ada__text_ioB");
   u00057 : constant Version_32 := 16#29d93336#;
   pragma Export (C, u00057, "ada__text_ioS");
   u00058 : constant Version_32 := 16#1358602f#;
   pragma Export (C, u00058, "ada__streamsS");
   u00059 : constant Version_32 := 16#7a48d8b1#;
   pragma Export (C, u00059, "interfaces__c_streamsB");
   u00060 : constant Version_32 := 16#a539be81#;
   pragma Export (C, u00060, "interfaces__c_streamsS");
   u00061 : constant Version_32 := 16#68344ec2#;
   pragma Export (C, u00061, "system__crtlS");
   u00062 : constant Version_32 := 16#cd08bce0#;
   pragma Export (C, u00062, "system__file_ioB");
   u00063 : constant Version_32 := 16#7fd6f4b6#;
   pragma Export (C, u00063, "system__file_ioS");
   u00064 : constant Version_32 := 16#8cbe6205#;
   pragma Export (C, u00064, "ada__finalizationB");
   u00065 : constant Version_32 := 16#40c80ee1#;
   pragma Export (C, u00065, "ada__finalizationS");
   u00066 : constant Version_32 := 16#f7ab51aa#;
   pragma Export (C, u00066, "system__finalization_rootB");
   u00067 : constant Version_32 := 16#73dd418e#;
   pragma Export (C, u00067, "system__finalization_rootS");
   u00068 : constant Version_32 := 16#b46168d5#;
   pragma Export (C, u00068, "ada__io_exceptionsS");
   u00069 : constant Version_32 := 16#769e25e6#;
   pragma Export (C, u00069, "interfaces__cB");
   u00070 : constant Version_32 := 16#f05a3eb1#;
   pragma Export (C, u00070, "interfaces__cS");
   u00071 : constant Version_32 := 16#7d1c6ec1#;
   pragma Export (C, u00071, "interfaces__c__stringsB");
   u00072 : constant Version_32 := 16#603c1c44#;
   pragma Export (C, u00072, "interfaces__c__stringsS");
   u00073 : constant Version_32 := 16#a50435f4#;
   pragma Export (C, u00073, "system__crtl__runtimeS");
   u00074 : constant Version_32 := 16#915678df#;
   pragma Export (C, u00074, "system__os_libB");
   u00075 : constant Version_32 := 16#a6d80a38#;
   pragma Export (C, u00075, "system__os_libS");
   u00076 : constant Version_32 := 16#4cd8aca0#;
   pragma Export (C, u00076, "system__stringsB");
   u00077 : constant Version_32 := 16#c54bb99f#;
   pragma Export (C, u00077, "system__stringsS");
   u00078 : constant Version_32 := 16#ad9e1d61#;
   pragma Export (C, u00078, "system__file_control_blockS");
   u00079 : constant Version_32 := 16#20f9fa25#;
   pragma Export (C, u00079, "system__finalization_mastersB");
   u00080 : constant Version_32 := 16#18545f77#;
   pragma Export (C, u00080, "system__finalization_mastersS");
   u00081 : constant Version_32 := 16#57a37a42#;
   pragma Export (C, u00081, "system__address_imageB");
   u00082 : constant Version_32 := 16#d34d6e61#;
   pragma Export (C, u00082, "system__address_imageS");
   u00083 : constant Version_32 := 16#7268f812#;
   pragma Export (C, u00083, "system__img_boolB");
   u00084 : constant Version_32 := 16#877882b0#;
   pragma Export (C, u00084, "system__img_boolS");
   u00085 : constant Version_32 := 16#d7aac20c#;
   pragma Export (C, u00085, "system__ioB");
   u00086 : constant Version_32 := 16#ece30414#;
   pragma Export (C, u00086, "system__ioS");
   u00087 : constant Version_32 := 16#a7a37cb6#;
   pragma Export (C, u00087, "system__storage_poolsB");
   u00088 : constant Version_32 := 16#a10fec36#;
   pragma Export (C, u00088, "system__storage_poolsS");
   u00089 : constant Version_32 := 16#ba5d60c7#;
   pragma Export (C, u00089, "system__pool_globalB");
   u00090 : constant Version_32 := 16#d56df0a6#;
   pragma Export (C, u00090, "system__pool_globalS");
   u00091 : constant Version_32 := 16#3ef3e770#;
   pragma Export (C, u00091, "system__memoryB");
   u00092 : constant Version_32 := 16#b82a4f4e#;
   pragma Export (C, u00092, "system__memoryS");
   u00093 : constant Version_32 := 16#6da109c8#;
   pragma Export (C, u00093, "system__storage_pools__subpoolsB");
   u00094 : constant Version_32 := 16#578cba01#;
   pragma Export (C, u00094, "system__storage_pools__subpoolsS");
   u00095 : constant Version_32 := 16#8f6a0f24#;
   pragma Export (C, u00095, "glibB");
   u00096 : constant Version_32 := 16#21752e94#;
   pragma Export (C, u00096, "glibS");
   u00097 : constant Version_32 := 16#5823e182#;
   pragma Export (C, u00097, "glib__gladeB");
   u00098 : constant Version_32 := 16#43dc8b50#;
   pragma Export (C, u00098, "glib__gladeS");
   u00099 : constant Version_32 := 16#12c24a43#;
   pragma Export (C, u00099, "ada__charactersS");
   u00100 : constant Version_32 := 16#833355f1#;
   pragma Export (C, u00100, "ada__characters__handlingB");
   u00101 : constant Version_32 := 16#3006d996#;
   pragma Export (C, u00101, "ada__characters__handlingS");
   u00102 : constant Version_32 := 16#051b1b7b#;
   pragma Export (C, u00102, "ada__characters__latin_1S");
   u00103 : constant Version_32 := 16#af50e98f#;
   pragma Export (C, u00103, "ada__stringsS");
   u00104 : constant Version_32 := 16#96e9c1e7#;
   pragma Export (C, u00104, "ada__strings__mapsB");
   u00105 : constant Version_32 := 16#24318e4c#;
   pragma Export (C, u00105, "ada__strings__mapsS");
   u00106 : constant Version_32 := 16#cc7093ac#;
   pragma Export (C, u00106, "system__bit_opsB");
   u00107 : constant Version_32 := 16#c30e4013#;
   pragma Export (C, u00107, "system__bit_opsS");
   u00108 : constant Version_32 := 16#7a69aa90#;
   pragma Export (C, u00108, "ada__strings__maps__constantsS");
   u00109 : constant Version_32 := 16#914b496f#;
   pragma Export (C, u00109, "ada__strings__fixedB");
   u00110 : constant Version_32 := 16#dc686502#;
   pragma Export (C, u00110, "ada__strings__fixedS");
   u00111 : constant Version_32 := 16#99f98fe0#;
   pragma Export (C, u00111, "ada__strings__searchB");
   u00112 : constant Version_32 := 16#b5a8c1d6#;
   pragma Export (C, u00112, "ada__strings__searchS");
   u00113 : constant Version_32 := 16#cc85cacb#;
   pragma Export (C, u00113, "glib__objectB");
   u00114 : constant Version_32 := 16#48691d40#;
   pragma Export (C, u00114, "glib__objectS");
   u00115 : constant Version_32 := 16#398f61a7#;
   pragma Export (C, u00115, "glib__type_conversion_hooksB");
   u00116 : constant Version_32 := 16#ca0517c4#;
   pragma Export (C, u00116, "glib__type_conversion_hooksS");
   u00117 : constant Version_32 := 16#57aea1c7#;
   pragma Export (C, u00117, "gtkadaS");
   u00118 : constant Version_32 := 16#2723aba6#;
   pragma Export (C, u00118, "gtkada__bindingsB");
   u00119 : constant Version_32 := 16#f468c034#;
   pragma Export (C, u00119, "gtkada__bindingsS");
   u00120 : constant Version_32 := 16#fd2ad2f1#;
   pragma Export (C, u00120, "gnatS");
   u00121 : constant Version_32 := 16#7d3103a4#;
   pragma Export (C, u00121, "gnat__stringsS");
   u00122 : constant Version_32 := 16#100afe53#;
   pragma Export (C, u00122, "gtkada__cB");
   u00123 : constant Version_32 := 16#d3bdae79#;
   pragma Export (C, u00123, "gtkada__cS");
   u00124 : constant Version_32 := 16#6fb6efdc#;
   pragma Export (C, u00124, "gtkada__typesB");
   u00125 : constant Version_32 := 16#d40fa06f#;
   pragma Export (C, u00125, "gtkada__typesS");
   u00126 : constant Version_32 := 16#2d0faf9d#;
   pragma Export (C, u00126, "glib__glistB");
   u00127 : constant Version_32 := 16#18430f66#;
   pragma Export (C, u00127, "glib__glistS");
   u00128 : constant Version_32 := 16#3b2e7eed#;
   pragma Export (C, u00128, "glib__gslistB");
   u00129 : constant Version_32 := 16#f2023829#;
   pragma Export (C, u00129, "glib__gslistS");
   u00130 : constant Version_32 := 16#a6e358bc#;
   pragma Export (C, u00130, "system__stream_attributesB");
   u00131 : constant Version_32 := 16#e89b4b3f#;
   pragma Export (C, u00131, "system__stream_attributesS");
   u00132 : constant Version_32 := 16#194ccd7b#;
   pragma Export (C, u00132, "system__img_unsB");
   u00133 : constant Version_32 := 16#87b493da#;
   pragma Export (C, u00133, "system__img_unsS");
   u00134 : constant Version_32 := 16#3e210bce#;
   pragma Export (C, u00134, "glib__convertB");
   u00135 : constant Version_32 := 16#fc7f6572#;
   pragma Export (C, u00135, "glib__convertS");
   u00136 : constant Version_32 := 16#e823a664#;
   pragma Export (C, u00136, "glib__errorB");
   u00137 : constant Version_32 := 16#ef11e73d#;
   pragma Export (C, u00137, "glib__errorS");
   u00138 : constant Version_32 := 16#fa96e9ec#;
   pragma Export (C, u00138, "glib__messagesB");
   u00139 : constant Version_32 := 16#4b2aa7bf#;
   pragma Export (C, u00139, "glib__messagesS");
   u00140 : constant Version_32 := 16#3d296967#;
   pragma Export (C, u00140, "glib__unicodeB");
   u00141 : constant Version_32 := 16#983f7981#;
   pragma Export (C, u00141, "glib__unicodeS");
   u00142 : constant Version_32 := 16#16ec09e4#;
   pragma Export (C, u00142, "glib__xmlB");
   u00143 : constant Version_32 := 16#ff8e3b0b#;
   pragma Export (C, u00143, "glib__xmlS");
   u00144 : constant Version_32 := 16#10f589ff#;
   pragma Export (C, u00144, "gnat__os_libS");
   u00145 : constant Version_32 := 16#1f6ddfec#;
   pragma Export (C, u00145, "gtkS");
   u00146 : constant Version_32 := 16#f64d28ae#;
   pragma Export (C, u00146, "gdkS");
   u00147 : constant Version_32 := 16#ab9a8441#;
   pragma Export (C, u00147, "gtk__gladeB");
   u00148 : constant Version_32 := 16#a1c874fe#;
   pragma Export (C, u00148, "gtk__gladeS");
   u00149 : constant Version_32 := 16#c7537bcf#;
   pragma Export (C, u00149, "ada__directoriesB");
   u00150 : constant Version_32 := 16#706207bb#;
   pragma Export (C, u00150, "ada__directoriesS");
   u00151 : constant Version_32 := 16#0f244912#;
   pragma Export (C, u00151, "ada__calendarB");
   u00152 : constant Version_32 := 16#0bc00dc5#;
   pragma Export (C, u00152, "ada__calendarS");
   u00153 : constant Version_32 := 16#22d03640#;
   pragma Export (C, u00153, "system__os_primitivesB");
   u00154 : constant Version_32 := 16#c2707f72#;
   pragma Export (C, u00154, "system__os_primitivesS");
   u00155 : constant Version_32 := 16#58c58b5e#;
   pragma Export (C, u00155, "ada__calendar__formattingB");
   u00156 : constant Version_32 := 16#7ece677a#;
   pragma Export (C, u00156, "ada__calendar__formattingS");
   u00157 : constant Version_32 := 16#e3cca715#;
   pragma Export (C, u00157, "ada__calendar__time_zonesB");
   u00158 : constant Version_32 := 16#74a1fd86#;
   pragma Export (C, u00158, "ada__calendar__time_zonesS");
   u00159 : constant Version_32 := 16#7993dbbd#;
   pragma Export (C, u00159, "system__val_intB");
   u00160 : constant Version_32 := 16#3a04d964#;
   pragma Export (C, u00160, "system__val_intS");
   u00161 : constant Version_32 := 16#730c1f82#;
   pragma Export (C, u00161, "system__val_realB");
   u00162 : constant Version_32 := 16#8c88844a#;
   pragma Export (C, u00162, "system__val_realS");
   u00163 : constant Version_32 := 16#0be1b996#;
   pragma Export (C, u00163, "system__exn_llfB");
   u00164 : constant Version_32 := 16#f325edb4#;
   pragma Export (C, u00164, "system__exn_llfS");
   u00165 : constant Version_32 := 16#1b28662b#;
   pragma Export (C, u00165, "system__float_controlB");
   u00166 : constant Version_32 := 16#925db067#;
   pragma Export (C, u00166, "system__float_controlS");
   u00167 : constant Version_32 := 16#22d1952c#;
   pragma Export (C, u00167, "system__powten_tableS");
   u00168 : constant Version_32 := 16#e559f18d#;
   pragma Export (C, u00168, "ada__directories__validityB");
   u00169 : constant Version_32 := 16#a2334639#;
   pragma Export (C, u00169, "ada__directories__validityS");
   u00170 : constant Version_32 := 16#261c554b#;
   pragma Export (C, u00170, "ada__strings__unboundedB");
   u00171 : constant Version_32 := 16#2bf53506#;
   pragma Export (C, u00171, "ada__strings__unboundedS");
   u00172 : constant Version_32 := 16#c4857ee1#;
   pragma Export (C, u00172, "system__compare_array_unsigned_8B");
   u00173 : constant Version_32 := 16#a89a0596#;
   pragma Export (C, u00173, "system__compare_array_unsigned_8S");
   u00174 : constant Version_32 := 16#9d3d925a#;
   pragma Export (C, u00174, "system__address_operationsB");
   u00175 : constant Version_32 := 16#b2df1acc#;
   pragma Export (C, u00175, "system__address_operationsS");
   u00176 : constant Version_32 := 16#7d1a8895#;
   pragma Export (C, u00176, "system__machine_codeS");
   u00177 : constant Version_32 := 16#8d43fb6a#;
   pragma Export (C, u00177, "system__atomic_countersB");
   u00178 : constant Version_32 := 16#383d9fef#;
   pragma Export (C, u00178, "system__atomic_countersS");
   u00179 : constant Version_32 := 16#80dfbf26#;
   pragma Export (C, u00179, "system__os_constantsS");
   u00180 : constant Version_32 := 16#e7698cad#;
   pragma Export (C, u00180, "system__regexpB");
   u00181 : constant Version_32 := 16#bc3008e7#;
   pragma Export (C, u00181, "system__regexpS");
   u00182 : constant Version_32 := 16#a0ae1a73#;
   pragma Export (C, u00182, "gnat__htableB");
   u00183 : constant Version_32 := 16#430435e5#;
   pragma Export (C, u00183, "gnat__htableS");
   u00184 : constant Version_32 := 16#f809564d#;
   pragma Export (C, u00184, "gtk_generatesB");
   u00185 : constant Version_32 := 16#023e09be#;
   pragma Export (C, u00185, "gtk_generatesS");
   u00186 : constant Version_32 := 16#5c0e4566#;
   pragma Export (C, u00186, "system__val_boolB");
   u00187 : constant Version_32 := 16#88339f45#;
   pragma Export (C, u00187, "system__val_boolS");
   u00188 : constant Version_32 := 16#be7723ec#;
   pragma Export (C, u00188, "gtk__mainB");
   u00189 : constant Version_32 := 16#b2d848ae#;
   pragma Export (C, u00189, "gtk__mainS");
   u00190 : constant Version_32 := 16#985d5707#;
   pragma Export (C, u00190, "gdk__typesS");
   u00191 : constant Version_32 := 16#802743ec#;
   pragma Export (C, u00191, "glib__generic_propertiesB");
   u00192 : constant Version_32 := 16#83a0df00#;
   pragma Export (C, u00192, "glib__generic_propertiesS");
   u00193 : constant Version_32 := 16#0e2b843e#;
   pragma Export (C, u00193, "glib__valuesB");
   u00194 : constant Version_32 := 16#649c5182#;
   pragma Export (C, u00194, "glib__valuesS");
   u00195 : constant Version_32 := 16#8e4e0eaa#;
   pragma Export (C, u00195, "gdk__eventB");
   u00196 : constant Version_32 := 16#ce4bd6dc#;
   pragma Export (C, u00196, "gdk__eventS");
   u00197 : constant Version_32 := 16#671b06b7#;
   pragma Export (C, u00197, "gdk__rectangleB");
   u00198 : constant Version_32 := 16#940333f3#;
   pragma Export (C, u00198, "gdk__rectangleS");
   u00199 : constant Version_32 := 16#a8d456ae#;
   pragma Export (C, u00199, "gdk__windowB");
   u00200 : constant Version_32 := 16#bab8a669#;
   pragma Export (C, u00200, "gdk__windowS");
   u00201 : constant Version_32 := 16#3b204a6c#;
   pragma Export (C, u00201, "gtk__widgetB");
   u00202 : constant Version_32 := 16#43004a02#;
   pragma Export (C, u00202, "gtk__widgetS");
   u00203 : constant Version_32 := 16#d7de8c04#;
   pragma Export (C, u00203, "gdk__colorB");
   u00204 : constant Version_32 := 16#30d29a89#;
   pragma Export (C, u00204, "gdk__colorS");
   u00205 : constant Version_32 := 16#cf3c2289#;
   pragma Export (C, u00205, "gdk__visualB");
   u00206 : constant Version_32 := 16#4a3b371f#;
   pragma Export (C, u00206, "gdk__visualS");
   u00207 : constant Version_32 := 16#c1a42731#;
   pragma Export (C, u00207, "gtk__enumsB");
   u00208 : constant Version_32 := 16#cc1d5980#;
   pragma Export (C, u00208, "gtk__enumsS");
   u00209 : constant Version_32 := 16#e2e5b186#;
   pragma Export (C, u00209, "gtk__styleB");
   u00210 : constant Version_32 := 16#002d2f7e#;
   pragma Export (C, u00210, "gtk__styleS");
   u00211 : constant Version_32 := 16#d3c8e76d#;
   pragma Export (C, u00211, "pangoS");
   u00212 : constant Version_32 := 16#f0ccc9cf#;
   pragma Export (C, u00212, "pango__fontB");
   u00213 : constant Version_32 := 16#acdf9864#;
   pragma Export (C, u00213, "pango__fontS");
   u00214 : constant Version_32 := 16#853ec0b7#;
   pragma Export (C, u00214, "pango__enumsB");
   u00215 : constant Version_32 := 16#f3fe5737#;
   pragma Export (C, u00215, "pango__enumsS");
   u00216 : constant Version_32 := 16#41ff97f6#;
   pragma Export (C, u00216, "gdk__fontB");
   u00217 : constant Version_32 := 16#48691f5a#;
   pragma Export (C, u00217, "gdk__fontS");
   u00218 : constant Version_32 := 16#0ac5a7fd#;
   pragma Export (C, u00218, "gdk__gcB");
   u00219 : constant Version_32 := 16#0e6f1f05#;
   pragma Export (C, u00219, "gdk__gcS");
   u00220 : constant Version_32 := 16#90f9ba58#;
   pragma Export (C, u00220, "gdk__regionB");
   u00221 : constant Version_32 := 16#a4d1a749#;
   pragma Export (C, u00221, "gdk__regionS");
   u00222 : constant Version_32 := 16#87fd2f45#;
   pragma Export (C, u00222, "gdk__pixmapB");
   u00223 : constant Version_32 := 16#acfb0eb2#;
   pragma Export (C, u00223, "gdk__pixmapS");
   u00224 : constant Version_32 := 16#ed02b600#;
   pragma Export (C, u00224, "gdk__bitmapB");
   u00225 : constant Version_32 := 16#f699f3eb#;
   pragma Export (C, u00225, "gdk__bitmapS");
   u00226 : constant Version_32 := 16#090db71a#;
   pragma Export (C, u00226, "gtk__objectB");
   u00227 : constant Version_32 := 16#27278f6e#;
   pragma Export (C, u00227, "gtk__objectS");
   u00228 : constant Version_32 := 16#99f66a58#;
   pragma Export (C, u00228, "glib__propertiesB");
   u00229 : constant Version_32 := 16#b9c9f5a0#;
   pragma Export (C, u00229, "glib__propertiesS");
   u00230 : constant Version_32 := 16#73bc5a0a#;
   pragma Export (C, u00230, "pango__layoutB");
   u00231 : constant Version_32 := 16#a52f6fcc#;
   pragma Export (C, u00231, "pango__layoutS");
   u00232 : constant Version_32 := 16#c0be7ba1#;
   pragma Export (C, u00232, "pango__attributesB");
   u00233 : constant Version_32 := 16#666d7227#;
   pragma Export (C, u00233, "pango__attributesS");
   u00234 : constant Version_32 := 16#493e4cd5#;
   pragma Export (C, u00234, "pango__contextB");
   u00235 : constant Version_32 := 16#510f4503#;
   pragma Export (C, u00235, "pango__contextS");
   u00236 : constant Version_32 := 16#f1493a4a#;
   pragma Export (C, u00236, "pango__tabsB");
   u00237 : constant Version_32 := 16#c159aa01#;
   pragma Export (C, u00237, "pango__tabsS");
   u00238 : constant Version_32 := 16#1d70b98f#;
   pragma Export (C, u00238, "gtk__windowB");
   u00239 : constant Version_32 := 16#21c079ea#;
   pragma Export (C, u00239, "gtk__windowS");
   u00240 : constant Version_32 := 16#e7a7096b#;
   pragma Export (C, u00240, "gdk__pixbufB");
   u00241 : constant Version_32 := 16#67c0118b#;
   pragma Export (C, u00241, "gdk__pixbufS");
   u00242 : constant Version_32 := 16#d384dc6b#;
   pragma Export (C, u00242, "gdk__cursorB");
   u00243 : constant Version_32 := 16#a5c39181#;
   pragma Export (C, u00243, "gdk__cursorS");
   u00244 : constant Version_32 := 16#f3d6fd1f#;
   pragma Export (C, u00244, "gdk__displayB");
   u00245 : constant Version_32 := 16#53bae232#;
   pragma Export (C, u00245, "gdk__displayS");
   u00246 : constant Version_32 := 16#c7bb8b1c#;
   pragma Export (C, u00246, "gdk__drawableB");
   u00247 : constant Version_32 := 16#242c5795#;
   pragma Export (C, u00247, "gdk__drawableS");
   u00248 : constant Version_32 := 16#296df726#;
   pragma Export (C, u00248, "gdk__rgbB");
   u00249 : constant Version_32 := 16#d376c0c2#;
   pragma Export (C, u00249, "gdk__rgbS");
   u00250 : constant Version_32 := 16#a28a8da5#;
   pragma Export (C, u00250, "gtk__accel_groupB");
   u00251 : constant Version_32 := 16#7b082be7#;
   pragma Export (C, u00251, "gtk__accel_groupS");
   u00252 : constant Version_32 := 16#4d2f077a#;
   pragma Export (C, u00252, "gtk__binB");
   u00253 : constant Version_32 := 16#d0d23cff#;
   pragma Export (C, u00253, "gtk__binS");
   u00254 : constant Version_32 := 16#b8fd512b#;
   pragma Export (C, u00254, "gtk__containerB");
   u00255 : constant Version_32 := 16#bf87e472#;
   pragma Export (C, u00255, "gtk__containerS");
   u00256 : constant Version_32 := 16#3429ea54#;
   pragma Export (C, u00256, "gtk__adjustmentB");
   u00257 : constant Version_32 := 16#f6bcc6fd#;
   pragma Export (C, u00257, "gtk__adjustmentS");
   u00258 : constant Version_32 := 16#1bab9eaa#;
   pragma Export (C, u00258, "system__assertionsB");
   u00259 : constant Version_32 := 16#d10515f0#;
   pragma Export (C, u00259, "system__assertionsS");
   --  BEGIN ELABORATION ORDER
   --  ada%s
   --  ada.characters%s
   --  ada.characters.handling%s
   --  ada.characters.latin_1%s
   --  ada.command_line%s
   --  gnat%s
   --  interfaces%s
   --  system%s
   --  system.address_operations%s
   --  system.address_operations%b
   --  system.atomic_counters%s
   --  system.case_util%s
   --  system.case_util%b
   --  system.exn_llf%s
   --  system.exn_llf%b
   --  system.float_control%s
   --  system.float_control%b
   --  system.htable%s
   --  gnat.htable%s
   --  gnat.htable%b
   --  system.img_bool%s
   --  system.img_bool%b
   --  system.img_int%s
   --  system.img_int%b
   --  system.io%s
   --  system.io%b
   --  system.machine_code%s
   --  system.atomic_counters%b
   --  system.os_primitives%s
   --  system.os_primitives%b
   --  system.parameters%s
   --  system.parameters%b
   --  system.crtl%s
   --  interfaces.c_streams%s
   --  interfaces.c_streams%b
   --  system.powten_table%s
   --  system.standard_library%s
   --  system.exceptions_debug%s
   --  system.exceptions_debug%b
   --  system.storage_elements%s
   --  system.storage_elements%b
   --  system.stack_checking%s
   --  system.stack_checking%b
   --  system.string_hash%s
   --  system.string_hash%b
   --  system.htable%b
   --  system.strings%s
   --  system.strings%b
   --  gnat.strings%s
   --  system.traceback_entries%s
   --  system.traceback_entries%b
   --  ada.exceptions%s
   --  system.soft_links%s
   --  system.unsigned_types%s
   --  system.img_uns%s
   --  system.img_uns%b
   --  system.val_bool%s
   --  system.val_int%s
   --  system.val_real%s
   --  system.val_uns%s
   --  system.val_util%s
   --  system.val_util%b
   --  system.val_uns%b
   --  system.val_real%b
   --  system.val_int%b
   --  system.val_bool%b
   --  system.wch_con%s
   --  system.wch_con%b
   --  system.wch_cnv%s
   --  system.wch_jis%s
   --  system.wch_jis%b
   --  system.wch_cnv%b
   --  system.wch_stw%s
   --  system.wch_stw%b
   --  ada.exceptions.last_chance_handler%s
   --  ada.exceptions.last_chance_handler%b
   --  system.address_image%s
   --  system.bit_ops%s
   --  system.bit_ops%b
   --  system.compare_array_unsigned_8%s
   --  system.compare_array_unsigned_8%b
   --  system.exception_table%s
   --  system.exception_table%b
   --  ada.io_exceptions%s
   --  ada.strings%s
   --  ada.strings.maps%s
   --  ada.strings.fixed%s
   --  ada.strings.maps.constants%s
   --  ada.strings.search%s
   --  ada.strings.search%b
   --  ada.tags%s
   --  ada.streams%s
   --  interfaces.c%s
   --  interfaces.c.strings%s
   --  system.crtl.runtime%s
   --  system.exceptions%s
   --  system.exceptions%b
   --  system.os_constants%s
   --  system.stream_attributes%s
   --  system.stream_attributes%b
   --  ada.calendar%s
   --  ada.calendar%b
   --  ada.calendar.time_zones%s
   --  ada.calendar.time_zones%b
   --  ada.calendar.formatting%s
   --  system.assertions%s
   --  system.assertions%b
   --  system.memory%s
   --  system.memory%b
   --  system.standard_library%b
   --  system.secondary_stack%s
   --  interfaces.c.strings%b
   --  interfaces.c%b
   --  ada.tags%b
   --  ada.strings.fixed%b
   --  ada.strings.maps%b
   --  system.soft_links%b
   --  ada.command_line%b
   --  ada.characters.handling%b
   --  system.secondary_stack%b
   --  ada.calendar.formatting%b
   --  system.address_image%b
   --  system.finalization_root%s
   --  system.finalization_root%b
   --  ada.finalization%s
   --  ada.finalization%b
   --  system.storage_pools%s
   --  system.storage_pools%b
   --  system.finalization_masters%s
   --  system.finalization_masters%b
   --  system.storage_pools.subpools%s
   --  system.storage_pools.subpools%b
   --  ada.strings.unbounded%s
   --  ada.strings.unbounded%b
   --  ada.directories%s
   --  ada.directories.validity%s
   --  ada.directories.validity%b
   --  system.os_lib%s
   --  system.os_lib%b
   --  gnat.os_lib%s
   --  system.pool_global%s
   --  system.pool_global%b
   --  system.file_control_block%s
   --  system.file_io%s
   --  system.file_io%b
   --  system.regexp%s
   --  system.regexp%b
   --  ada.directories%b
   --  system.traceback%s
   --  ada.exceptions%b
   --  system.traceback%b
   --  ada.text_io%s
   --  ada.text_io%b
   --  glib%s
   --  glib%b
   --  gdk%s
   --  glib.error%s
   --  glib.error%b
   --  glib.convert%s
   --  glib.convert%b
   --  glib.messages%s
   --  glib.messages%b
   --  glib.unicode%s
   --  glib.unicode%b
   --  gtkada%s
   --  gtkada.types%s
   --  gtkada.types%b
   --  pango%s
   --  gdk.rectangle%s
   --  gdk.rectangle%b
   --  glib.glist%s
   --  glib.glist%b
   --  gdk.visual%s
   --  gdk.visual%b
   --  glib.gslist%s
   --  glib.gslist%b
   --  glib.object%s
   --  glib.type_conversion_hooks%s
   --  glib.type_conversion_hooks%b
   --  glib.values%s
   --  glib.values%b
   --  gdk.color%s
   --  gdk.cursor%s
   --  gdk.cursor%b
   --  glib.generic_properties%s
   --  glib.generic_properties%b
   --  glib.xml%s
   --  glib.xml%b
   --  glib.glade%s
   --  glib.glade%b
   --  gtk%s
   --  gtk.glade%s
   --  gtk_generates%s
   --  gtk_generates%b
   --  gtk.glade%b
   --  gtkada.c%s
   --  gtkada.c%b
   --  gtkada.bindings%s
   --  gtkada.bindings%b
   --  glib.object%b
   --  gdk.color%b
   --  gdk.types%s
   --  gdk.region%s
   --  gdk.region%b
   --  gdk.event%s
   --  gdk.display%s
   --  gdk.display%b
   --  gdk.window%s
   --  gdk.event%b
   --  gdk.bitmap%s
   --  gdk.bitmap%b
   --  gdk.pixmap%s
   --  gdk.pixmap%b
   --  glib.properties%s
   --  glib.properties%b
   --  gtk.enums%s
   --  gtk.enums%b
   --  gtk.object%s
   --  gtk.object%b
   --  gtk.accel_group%s
   --  gtk.accel_group%b
   --  gtk.adjustment%s
   --  gtk.adjustment%b
   --  pango.enums%s
   --  pango.enums%b
   --  pango.attributes%s
   --  pango.attributes%b
   --  pango.font%s
   --  pango.font%b
   --  gdk.font%s
   --  gdk.font%b
   --  gdk.gc%s
   --  gdk.gc%b
   --  pango.context%s
   --  pango.context%b
   --  pango.tabs%s
   --  pango.tabs%b
   --  pango.layout%s
   --  pango.layout%b
   --  gdk.drawable%s
   --  gdk.drawable%b
   --  gdk.rgb%s
   --  gdk.rgb%b
   --  gdk.pixbuf%s
   --  gdk.pixbuf%b
   --  gtk.style%s
   --  gtk.style%b
   --  gtk.widget%s
   --  gdk.window%b
   --  gtk.container%s
   --  gtk.container%b
   --  gtk.bin%s
   --  gtk.bin%b
   --  gtk.main%s
   --  gtk.main%b
   --  gate%b
   --  gtk.window%s
   --  gtk.window%b
   --  gtk.widget%b
   --  END ELABORATION ORDER


end ada_main;
